Summary:	A simple CD burning tool for the Xfce Desktop Environment
Name:		xfburn
Version:	0.8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/applications/xfburn
Source0:	https://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	meson
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libburn-1)
BuildRequires:	pkgconfig(libisofs-1)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0

%description
Xfburn is a simple CD/DVD burning tool based on libburn libraries.

It can blank CD-RWs, burn and create iso images, as well as burn personal
compositions of data to either CD or DVD.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-edit \
	--set-icon="media-optical" \
	--remove-category="X-XFCE" \
	--add-category="AudioVideo" \
	--add-category="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.xfce.xfburn.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*/stock/media/*
%{_mandir}/man1/*


%changelog
* Tue Jul 15 2025 wally <wally> 0.8.0-1.mga10
+ Revision: 2256120
- new version 0.8.0

* Sun Jun 29 2025 umeabot <umeabot> 0.7.2-2.mga10
+ Revision: 2227295
- Mageia 10 Mass Rebuild

* Sat Aug 31 2024 wally <wally> 0.7.2-1.mga10
+ Revision: 2092375
- new version 0.7.2

* Mon Jul 15 2024 wally <wally> 0.7.1-1.mga10
+ Revision: 2081618
- new version 0.7.1

* Sat Mar 04 2023 wally <wally> 0.7.0-1.mga9
+ Revision: 1947238
- new version 0.7.0

* Sun Apr 03 2022 umeabot <umeabot> 0.6.2-2.mga9
+ Revision: 1841908
- Mageia 9 Mass Rebuild

* Sun Mar 08 2020 wally <wally> 0.6.2-1.mga8
+ Revision: 1554855
- new version 0.6.2

* Mon Feb 17 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1537524
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 03 2019 wally <wally> 0.6.1-1.mga8
+ Revision: 1457458
- new version 0.6.1

* Sun Nov 03 2019 wally <wally> 0.6.0-1.mga8
+ Revision: 1457406
- new version 0.6.0
- switch to gtk3

* Sat Aug 24 2019 wally <wally> 0.5.5-4.mga8
+ Revision: 1431731
- add patches from upstream

* Sun Sep 23 2018 umeabot <umeabot> 0.5.5-3.mga7
+ Revision: 1301850
- Mageia 7 Mass Rebuild

* Tue Jan 30 2018 daviddavid <daviddavid> 0.5.5-2.mga7
+ Revision: 1198098
- switch to gstreamer-plugins-base-1.0

* Thu Dec 14 2017 wally <wally> 0.5.5-1.mga7
+ Revision: 1182572
- new version 0.5.5
- drop upstreamed patches

* Wed Feb 17 2016 umeabot <umeabot> 0.5.4-2.mga6
+ Revision: 963493
- Mageia 6 Mass Rebuild
+ wally <wally>
- fix URL

* Sat Jun 20 2015 wally <wally> 0.5.4-1.mga6
+ Revision: 836181
- new version 0.5.4
- drop patches from upstream

* Tue Mar 03 2015 wally <wally> 0.5.2-5.mga5
+ Revision: 817524
- rebuild for new libxfce4util

* Sun Dec 07 2014 wally <wally> 0.5.2-4.mga5
+ Revision: 801780
- add patch from upstream git to fix burning audio CDs for some audio files (bgo#630086)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 745615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-2.mga5
+ Revision: 690598
- Mageia 5 Mass Rebuild

* Thu Apr 10 2014 wally <wally> 0.5.2-1.mga5
+ Revision: 613262
- new version 0.5.2

* Fri Feb 21 2014 wally <wally> 0.5.0-1.mga5
+ Revision: 595364
- new version 0.5.0

* Tue Feb 11 2014 wally <wally> 0.4.3-6.git20140128.3.mga5
+ Revision: 589241
- add patch to fix main window icon
- drop OnlyShowIn=XFCE from .desktop
- don't remove categories added by upstream from .desktop file

* Mon Feb 10 2014 wally <wally> 0.4.3-6.git20140128.2.mga5
+ Revision: 588933
- fix also stock_xfburn icon (mga#12462)

* Tue Feb 04 2014 wally <wally> 0.4.3-6.git20140128.1.mga5
+ Revision: 580967
- new git snapshot
- fix menu icon (mga#12462)
- clean .spec a bit

* Sat Oct 19 2013 umeabot <umeabot> 0.4.3-6.git20130507.2.mga4
+ Revision: 523617
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.4.3-6.git20130507.1.mga4
+ Revision: 425215
- new git snapshot

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-6.git20120908.3.mga3
+ Revision: 386781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.4.3-6.git20120908.2.mga3
+ Revision: 338222
- add patch to fix build with automake 1.13

* Sat Sep 08 2012 wally <wally> 0.4.3-6.git20120908.1.mga3
+ Revision: 290005
- new git snapshot

* Fri Jun 01 2012 wally <wally> 0.4.3-6.git20120601.1.mga3
+ Revision: 252900
- use latest git snapshot
- clean .spec a bit
+ fwang <fwang>
- rebuild for new xfutil

* Sun Jan 29 2012 tv <tv> 0.4.3-5.mga2
+ Revision: 202807
- rebuild without HAL which is dead

* Sat Feb 19 2011 ahmad <ahmad> 0.4.3-4.mga1
+ Revision: 54322
- drop old/unneeded scriptlets
- imported package xfburn


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-3mdv2011.0
+ Revision: 633045
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-2mdv2011.0
+ Revision: 579639
- adjust buildrequires
- rebuild for new xfce 4.7.0

* Sat Feb 13 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 505532
- update to new version 0.4.3
- use new url for Source0

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 404035
- rebuild
- update to new version 0.4.2

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2009.1
+ Revision: 349187
- rebuild whole xfce

* Wed Feb 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 344764
- add missing file
- drop patch 0, merged upstream
- update to new version 0.4.1

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 317692
- Patch1: fix building with -Werror=format-security
- bs is hungry, feed it :)
- fix file list
- add buildrequires on libgstreamer0.10-plugins-base-devel
- update to new version 0.4.0

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-1mdv2009.1
+ Revision: 299612
- enable gstreamer support
- update to new version 0.3.91

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 294937
- rebuild for new Xfce4.6 beta1

* Thu Jul 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 236764
- update to new version 0.3.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 233500
- update to new version 0.3.1

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 214443
- update to new version 0.3.0

* Wed May 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4796.1mdv2009.0
+ Revision: 207176
- new svn snapshot

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4783.1mdv2009.0
+ Revision: 205833
- new svn snapshot

* Thu May 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4743.1mdv2009.0
+ Revision: 203875
- new svn snapshot

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4681.1mdv2009.0
+ Revision: 198463
- new snapshot

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4667.1mdv2009.0
+ Revision: 197196
- new svn snapshot

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4646.1mdv2009.0
+ Revision: 196250
- new svn snapshot

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4630.1mdv2009.0
+ Revision: 195669
- new xfburn svn snapshot

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-0.svn4612.1mdv2009.0
+ Revision: 195501
- update xfburn to the latest svn snapshot
- xfburn now uses libburn and libisofs libraries to handle CD/DVD burning, thus patch 0 is not needed
- adjust buildrequires
- do not package COPYING file
- provide better description
- fix URL

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-7mdv2008.1
+ Revision: 102422
- provide patch 0 (support for cdrkit)
- fix desktop entry

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-6mdv2008.0
+ Revision: 51344
- own dir
- drop X-MandrivaLinux

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-5mdv2008.0
+ Revision: 34326
- fix icon name

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-4mdv2008.0
+ Revision: 32896
- set requires on cdrkit and cdrkit-genisoimage
- drop old menu style
- add macros to %%post and %%postun
- spec file clean


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-3mdv2007.0
+ Revision: 103271
- Rebuild for latest xfce

* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.2.0-2mdv2007.1
+ Revision: 90131
- BuildRequires desktop-file-utils
- BuildRequires ImageMagick
- Also disable check for cdrecord, readcd, mkisofs
- Disable check for cdrdao, it is only needed at runtime
- Import xfburn

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.0-1mdv2007.0 
- 0.2.0
- drop patcg.....fixed upstream
- adjust .desktop
- fix section in menu

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.0-1mdv2007.0
- initial release

